# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from Solver.GenericSolver import GenericSolver
from Solver.Mage import Mage7, Mage8

_translate = QCoreApplication.translate

solver_long_name = {
    "generic": _translate("Solvers", "Generic"),
    # "mage7": _translate("Solvers", "Mage version 7"),
    "mage8": _translate("Solvers", "Mage version 8"),
}

solver_type_list = {
    "generic": GenericSolver,
    # "mage7": Mage7,
    "mage8": Mage8,
}
